// Copyright 2018 RED Software, LLC. All Rights Reserved.

using IgniteEngine.Networking;
using System.Collections.Generic;
using IgniteEngine.Content.GameObjects;

namespace IgniteEngine.Protocols
{
    public class PROTO_NC_USER_LOGINWORLD_ACK : NetworkMessage
    {
        public PROTO_NC_USER_LOGINWORLD_ACK(ushort clientHandle, List<Avatar> avatars) : base(NetworkCommand.NC_USER_LOGINWORLD_ACK)
        {
            Write(clientHandle);
            Write((byte) avatars.Count);
            this.Write(avatars);
        }
    }
}
